package com.bonus.material.purchase.service;

import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.material.purchase.domain.dto.PurchaseDto;
import com.bonus.material.purchase.domain.vo.PurchaseVo;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * @Author ma_sh
 * @create 2024/10/21 18:42
 */
public interface IPurchaseBindService {

    /**
     * 查询所有
     * @param dto
     * @return
     */
    List<PurchaseVo> selectAll(PurchaseDto dto);

    /**
     * 根据id查询采购绑定信息
     * @param dto
     * @return
     */
    AjaxResult selectPurchaseCheckInfoById(PurchaseDto dto);

    /**
     * 获取新购绑定二级明细列表
     * @param dto
     * @return
     */
    List<PurchaseVo> getDetails(PurchaseDto dto);

    /**
     * 绑定
     * @param dto
     * @return
     */
    AjaxResult bind(PurchaseDto dto);

    /**
     * 下载二维码
     * @param response
     * @param purchaseDto
     */
    void downloadQrCode(HttpServletResponse response, PurchaseDto purchaseDto);

    /**
     * 驳回或批量驳回操作
     * @param dto
     * @return
     */
    AjaxResult reject(PurchaseDto dto);

}
